NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SnipSurfaceBuilder Class Reference

Represents a NXOpen::Features::SnipSurface builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateSnipSurfaceBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::SnipSurfaceBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Types { TypesSnipCurve, TypesSnipSurface, TypesSnipAtPlane, TypesIsoparamSnip }
 Snip method added in v 7.5.0. More...
 

Public Member Functions

int CutType ()
 Returns the cutting type
Created in NX6.0.0. More...
 
bool DivideSurface ()
 Returns a value indicating whether to divide the surface
Created in NX6.0.0. More...
 
bool EditCopy ()
 Returns a value indicating whether to keep the original surface intact
Created in NX7.5.0. More...
 
bool GetCreateNewCopy ()
 Returns the indicator for creating a new copy. More...
 
NXOpen::ExpressionIsoparametricPosition ()
 Returns the isoparametric position
Created in NX7.5.0. More...
 
bool KeepOppositeSurface ()
 Returns a value indicating whether to keep the opposite surface. More...
 
NXOpen::GeometricUtilities::ProjectionOptionsProjectDirection ()
 Returns the project direction
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::RefitControlBuilderRefitControl ()
 Returns the refit control
Created in NX6.0.0. More...
 
NXOpen::Point3d RegionPickPoint ()
 Returns the 3D point picked on surface in Select Face
Created in NX6.0.0. More...
 
int SelectUV ()
 Returns the UV flag
Created in NX7.5.0. More...
 
void SetCreateNewCopy (bool createNewCopy)
 Sets the indicator for creating a new copy
Created in NX6.0.0. More...
 
void SetCutType (int cutType)
 Sets the cutting type
Created in NX6.0.0. More...
 
void SetDivideSurface (bool divide)
 Sets a value indicating whether to divide the surface
Created in NX6.0.0. More...
 
void SetEditCopy (bool editCopy)
 Sets a value indicating whether to keep the original surface intact
Created in NX7.5.0. More...
 
void SetKeepOppositeSurface (bool switchRegion)
 Sets a value indicating whether to keep the opposite surface. More...
 
void SetRegionPickPoint (const NXOpen::Point3d &pnt)
 Sets the 3D point picked on surface in Select Face
Created in NX6.0.0. More...
 
void SetSelectUV (int selectUV)
 Sets the UV flag
Created in NX7.5.0. More...
 
void SetSnippingPlane (NXOpen::Plane *plane)
 Sets the snipping plane
Created in NX6.0.0. More...
 
void SetSurfacePointUV (const NXOpen::Point3d &surfacePointUV)
 Sets the UV values of the picked point on surface
Created in NX6.0.0. More...
 
void SetType (NXOpen::Features::SnipSurfaceBuilder::Types type)
 Sets the snipping method accessor
Created in NX7.5.0. More...
 
NXOpen::SectionSnippingCurve ()
 Returns the snipping curve
Created in NX6.0.0. More...
 
NXOpen::SelectTaggedObjectSnippingObject ()
 Returns the snipping object
Created in NX7.5.0. More...
 
NXOpen::PlaneSnippingPlane ()
 Returns the snipping plane
Created in NX6.0.0. More...
 
NXOpen::Point3d SurfacePointUV ()
 Returns the UV values of the picked point on surface
Created in NX6.0.0. More...
 
NXOpen::SelectFaceTargetFace ()
 Returns the target face
Created in NX6.0.0. More...
 
NXOpen::Features::SnipSurfaceBuilder::Types Type ()
 Returns the snipping method accessor
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::SnipSurface builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateSnipSurfaceBuilder
Default values.

Property Value

RefitControl.DegreesAndSegmentsOrPatches.Degree

3

RefitControl.DegreesAndSegmentsOrPatches.SegmentsOrPatches

1

RefitControl.DegreesAndSegmentsOrPatches.UDegree

5

RefitControl.DegreesAndSegmentsOrPatches.UPatches

1

RefitControl.DegreesAndSegmentsOrPatches.VDegree

5

RefitControl.DegreesAndSegmentsOrPatches.VPatches

1


Created in NX6.0.0.

Member Enumeration Documentation

Snip method added in v 7.5.0.

Enumerator
TypesSnipCurve 

snip curve

TypesSnipSurface 

snip surface

TypesSnipAtPlane 

snip at plane

TypesIsoparamSnip 

isoparam snip

Member Function Documentation

int NXOpen::Features::SnipSurfaceBuilder::CutType ( )

Returns the cutting type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::SnipSurfaceBuilder::DivideSurface ( )

Returns a value indicating whether to divide the surface
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::SnipSurfaceBuilder::EditCopy ( )

Returns a value indicating whether to keep the original surface intact
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::SnipSurfaceBuilder::GetCreateNewCopy ( )

Returns the indicator for creating a new copy.

Returns

Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Expression* NXOpen::Features::SnipSurfaceBuilder::IsoparametricPosition ( )

Returns the isoparametric position
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::SnipSurfaceBuilder::KeepOppositeSurface ( )

Returns a value indicating whether to keep the opposite surface.

This is applicable only when DivideSurface is false
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::ProjectionOptions* NXOpen::Features::SnipSurfaceBuilder::ProjectDirection ( )

Returns the project direction
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::RefitControlBuilder* NXOpen::Features::SnipSurfaceBuilder::RefitControl ( )

Returns the refit control
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Point3d NXOpen::Features::SnipSurfaceBuilder::RegionPickPoint ( )

Returns the 3D point picked on surface in Select Face
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

int NXOpen::Features::SnipSurfaceBuilder::SelectUV ( )

Returns the UV flag
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::SnipSurfaceBuilder::SetCreateNewCopy ( bool  createNewCopy)

Sets the indicator for creating a new copy
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
createNewCopycreatenewcopy
void NXOpen::Features::SnipSurfaceBuilder::SetCutType ( int  cutType)

Sets the cutting type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
cutTypecuttype
void NXOpen::Features::SnipSurfaceBuilder::SetDivideSurface ( bool  divide)

Sets a value indicating whether to divide the surface
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
dividedivide
void NXOpen::Features::SnipSurfaceBuilder::SetEditCopy ( bool  editCopy)

Sets a value indicating whether to keep the original surface intact
Created in NX7.5.0.



License requirements : None

Parameters
editCopyeditcopy
void NXOpen::Features::SnipSurfaceBuilder::SetKeepOppositeSurface ( bool  switchRegion)

Sets a value indicating whether to keep the opposite surface.

This is applicable only when DivideSurface is false
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
switchRegionswitchregion
void NXOpen::Features::SnipSurfaceBuilder::SetRegionPickPoint ( const NXOpen::Point3d pnt)

Sets the 3D point picked on surface in Select Face
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
pntpnt
void NXOpen::Features::SnipSurfaceBuilder::SetSelectUV ( int  selectUV)

Sets the UV flag
Created in NX7.5.0.



License requirements : None

Parameters
selectUVselectuv
void NXOpen::Features::SnipSurfaceBuilder::SetSnippingPlane ( NXOpen::Plane plane)

Sets the snipping plane
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
planeplane
void NXOpen::Features::SnipSurfaceBuilder::SetSurfacePointUV ( const NXOpen::Point3d surfacePointUV)

Sets the UV values of the picked point on surface
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
surfacePointUVsurfacepointuv
void NXOpen::Features::SnipSurfaceBuilder::SetType ( NXOpen::Features::SnipSurfaceBuilder::Types  type)

Sets the snipping method accessor
Created in NX7.5.0.



License requirements : None

Parameters
typetype
NXOpen::Section* NXOpen::Features::SnipSurfaceBuilder::SnippingCurve ( )

Returns the snipping curve
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectTaggedObject* NXOpen::Features::SnipSurfaceBuilder::SnippingObject ( )

Returns the snipping object
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Plane* NXOpen::Features::SnipSurfaceBuilder::SnippingPlane ( )

Returns the snipping plane
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Point3d NXOpen::Features::SnipSurfaceBuilder::SurfacePointUV ( )

Returns the UV values of the picked point on surface
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectFace* NXOpen::Features::SnipSurfaceBuilder::TargetFace ( )

Returns the target face
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::SnipSurfaceBuilder::Types NXOpen::Features::SnipSurfaceBuilder::Type ( )

Returns the snipping method accessor
Created in NX7.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.